@charset "utf-8";
.rec_page_mv {
  background: url("../img/rec_page_hd.webp")no-repeat center / cover;
}
.req_flow {
  position: relative;
  &::before {
    content: '';
    position: absolute;
    background: linear-gradient(90deg, #fff 0%, rgba(255, 255, 255, 0.00) 100%), linear-gradient(0deg, #fff 0%, #98D6F6 35.1%, #469AD5 65%, #014EA2 100%);
    width: 100%;
    height: 700px;
    z-index: -1;
  }
  &::after {
    content: '';
    position: absolute;
    background: linear-gradient(90deg, #FFF 0%, rgba(255, 255, 255, 0.00) 100%), linear-gradient(0deg, #98D6F6 0%, #DAEFFC 35.1%, #DAEFFC 65%, #fff 100%);
    width: 100%;
    height: 700px;
    inset: auto 0 0 0;
    margin: auto;
    z-index: -1;
  }
}
.req_flow--box {
  background: #fff;
  border-radius: 20px;
  padding: var(--space-45) var(--space-30);
  border: 1px solid var(--light-blue);
  margin-bottom: var(--space-65);
  &:last-child {
    margin-bottom: 0;
  }
}
.req_flow--box_first {
  display: flex;
  gap: var(--space-20);
  margin-bottom: var(--space-30);
  @media screen and (max-width: 767px) {
    flex-direction: column;
  }
}
.req_flow--flag {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  max-width: 196px;
  width: 100%;
  padding: 10px 15px;
  font-size: var(--font-24);
  letter-spacing: var(--letter-10);
  border-radius: 20px;
  &:has(img[src="../../img/mv_icon_l.svg"]) {
    background: var(--sub-color);
    color: var(--main-color);
  }
  &:has(img[src="../../img/mv_icon_r.svg"]) {
    background: var(--main-color);
    color: #fff;
  }
}
.flow_scroll {
  margin-block: var(--space-45); 
  @media screen and (max-width: 767px) {
    overflow: scroll;
  }
}
.flow_time--box {
  width: 100%;
  max-width: max-content;
  min-width: max-content;
  margin: 0 auto;
  display: flex;
  gap: var(--space-20);
  position: relative;
  &::after {
    content: "";
    position: absolute;
    top: 19%;
    left: 60px;
    right: 60px;
    height: 4px;
    background: linear-gradient(90deg, #FFDF64 0%, #A9DB61 49.04%, #62B0DC 99.99%);
  }
}
.flow_time--inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  position: relative;
  z-index: 1;
  p {
    width: 100%;
  }
  &:nth-child(1) .flow_time--item {
    background: var(--sub-color);
  }
  &:nth-child(2) .flow_time--item {
    background: #E2DE63;
  }
  &:nth-child(3) .flow_time--item {
    background: #BBDC61;
  }
  &:nth-child(4) .flow_time--item {
    background: #99D17E;
  }
  &:nth-child(5) .flow_time--item {
    background: #79BEB4;
  }
  &:nth-child(6) .flow_time--item {
    background: #62B0DC;
  }
}
/* コマ数が9個の場合 */
.item9 {
  .flow_time--inner {
    &:nth-child(2) .flow_time--item {
      background: #EEDF63;
    }
    &:nth-child(3) .flow_time--item {
      background: #D6DE63;
    }
    &:nth-child(4) .flow_time--item {
      background: #C0DD62;
    }
    &:nth-child(5) .flow_time--item {
      background: #A8DB64;
    }
    &:nth-child(6) .flow_time--item {
      background: #95CF84;
    }
    &:nth-child(7) .flow_time--item {
      background: #82C4A5;
    }
    &:nth-child(8) .flow_time--item {
      background: #70B8C5;
    }
    &:nth-child(9) .flow_time--item {
      background: #62B0DC;
    }
  }
}
/* コマ数が7個の場合 */
.item7 {
   .flow_time--box {
    .flow_time--item {
      color: #fff;
    }
    &::after {
    content: "";
    position: absolute;
    top: 19%;
    left: 60px;
    right: 60px;
    height: 4px;
    background: linear-gradient(90deg, #62B0DC 0%, #164EC8 100%);
  }
   }
  .flow_time--inner {
    &:nth-child(1) .flow_time--item {
      background: #62B0DC;
    }
    &:nth-child(2) .flow_time--item {
      background: #5BA6DA;
    }
    &:nth-child(3) .flow_time--item {
      background: #5099D8;
    }
    &:nth-child(4) .flow_time--item {
      background: #468CD5;
    }
    &:nth-child(5) .flow_time--item {
      background: #3C7FD2;
    }
    &:nth-child(6) .flow_time--item {
      background: #3272D0;
    }
    &:nth-child(7) .flow_time--item {
      background: #2765CC;
    }
  }
}
.flow_time--item {
  border-radius: 50%;
  height: 75px;
  width: 75px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
  margin-bottom: 0.5em;
}
.flow_time--item ~ p:has( + *) {
  border-bottom: 1px solid var(--dark-blue);
  padding-bottom: 0.5em;
  margin-bottom: 0.5em;
}